=== modified file 'lib/canonical/launchpad/scripts/ftests/test_oops_prune.py'
--- lib/canonical/launchpad/scripts/ftests/test_oops_prune.py	2011-08-15 09:21:48 +0000
+++ lib/canonical/launchpad/scripts/ftests/test_oops_prune.py	2011-09-13 01:17:31 +0000
@@ -48,8 +48,8 @@
         # whole path rather than the path's basename.
         self.oops_dir = tempfile.mkdtemp('.directory.with.dots')
 
-        # TODO: This should be in the errorlog tests, and calling into errorlog
-        # methods.
+        # TODO: This should be in the errorlog tests, and calling into
+        # errorlog methods.
         # Create some fake OOPS files
         self.today = datetime.now(tz=UTC)
         self.ages_ago = uniquefileallocator.epoch + timedelta(days=1)
@@ -78,7 +78,6 @@
         # Need to commit or the changes are not visible on the slave.
         transaction.commit()
 
-
     def tearDown(self):
         shutil.rmtree(self.oops_dir)
         shutil.rmtree(config.error_reports.error_dir)
@@ -98,10 +97,6 @@
                 description='OOPS-1BugDescription666'
             """)
         cur.execute("""
-            UPDATE BugTask
-                SET statusexplanation='foo OOPS1BugTaskStatusExplanation666'
-            """)
-        cur.execute("""
             UPDATE Question SET
                 title='OOPS - 1TicketTitle666 bar',
                 description='http://foo.com OOPS-1TicketDescription666',
@@ -127,7 +122,6 @@
                     '1MESSAGESUBJECT666',
                     '1BUGTITLE666',
                     '1BUGDESCRIPTION666',
-                    '1BUGTASKSTATUSEXPLANATION666',
                     '1TICKETTITLE666',
                     '1TICKETDESCRIPTION666',
                     '1TICKETWHITEBOARD666',
@@ -167,16 +161,17 @@
         # doesn't match them.
         cur = cursor()
         cur.execute("""
-            UPDATE Bug SET
-                title='Some title',
-                description='https://lp-oops.canonical.com/oops.py/?oopsid=OOPS-1Foo666'
-            """)
+        UPDATE Bug SET
+            title='Some title',
+            description=
+                'https://lp-oops.canonical.com/oops.py/?oopsid=OOPS-1Foo666'
+        """)
         self.failUnlessEqual(
                 set([self.referenced_oops_code]),
                 referenced_oops())
 
     def test_script(self):
-        unwanted = unwanted_oops_files(self.oops_dir, 90)
+        unwanted_oops_files(self.oops_dir, 90)
         # Commit so our script can see changes made by the setUp method
         LaunchpadZopelessLayer.commit()
         process = Popen([
@@ -196,7 +191,7 @@
         for dirpath, dirnames, filenames in os.walk(today_dir):
             for filename in filenames:
                 found_oops_files.add(
-                        path_to_oopsid(os.path.join(dirpath,filename))
+                        path_to_oopsid(os.path.join(dirpath, filename))
                         )
         today_day_count = (self.today - uniquefileallocator.epoch).days + 1
         self.failUnlessEqual(
@@ -232,9 +227,8 @@
                 'Script failed to remove 2006-01-03 directory'
                 )
 
-
     def test_script_dryrun(self):
-        unwanted = unwanted_oops_files(self.oops_dir, 90)
+        unwanted_oops_files(self.oops_dir, 90)
         # Commit so our script can see changes made by the setUp method
         LaunchpadZopelessLayer.commit()
 
@@ -270,7 +264,7 @@
     def test_script_default_error_dir(self):
         # Verify that the script runs without the error_dir argument.
         default_error_dir = config.error_reports.error_dir
-        unwanted = unwanted_oops_files(default_error_dir, 90)
+        unwanted_oops_files(default_error_dir, 90)
         # Commit so our script can see changes made by the setUp method.
         LaunchpadZopelessLayer.commit()
         process = Popen([
@@ -288,7 +282,7 @@
         # And a directory empty of OOPS reports, but with some rubbish
         os.mkdir(os.path.join(self.oops_dir, '2001-12-02'))
         open(
-                os.path.join( self.oops_dir, '2001-12-02', 'foo'), 'w'
+                os.path.join(self.oops_dir, '2001-12-02', 'foo'), 'w'
                 ).write('foo')
 
         prune_empty_oops_directories(self.oops_dir)

=== modified file 'lib/canonical/launchpad/scripts/oops.py'
--- lib/canonical/launchpad/scripts/oops.py	2011-08-15 09:21:48 +0000
+++ lib/canonical/launchpad/scripts/oops.py	2011-09-13 01:17:31 +0000
@@ -37,7 +37,8 @@
     # Note that the POSIX regexp syntax is subtly different to the Python,
     # and that we need to escape all \ characters to keep the SQL interpreter
     # happy.
-    posix_oops_match = r"~* '^(oops\\s*-?\\s*\\d*[a-z]+\\d+)|[^=]+(\\moops\\s*-?\\s*\\d*[a-z]+\\d+)'"
+    posix_oops_match = (r"~* '^(oops\\s*-?\\s*\\d*[a-z]+\\d+)"
+        "|[^=]+(\\moops\\s*-?\\s*\\d*[a-z]+\\d+)'")
     query = """
         SELECT DISTINCT subject FROM Message
         WHERE subject %(posix_oops_match)s AND subject IS NOT NULL
@@ -48,14 +49,11 @@
         FROM Bug WHERE title %(posix_oops_match)s
             OR description %(posix_oops_match)s
         UNION ALL
-        SELECT statusexplanation FROM BugTask
-        WHERE statusexplanation %(posix_oops_match)s
-        UNION ALL
         SELECT title || ' ' || description || ' ' || COALESCE(whiteboard,'')
         FROM Question WHERE title %(posix_oops_match)s
             OR description %(posix_oops_match)s
             OR whiteboard %(posix_oops_match)s
-        """ % vars()
+        """ % {'posix_oops_match': posix_oops_match}
 
     referenced_codes = set()
 
@@ -63,7 +61,6 @@
         cur = cursor()
         cur.execute(query)
         for content in (row[0] for row in cur.fetchall()):
-            found = False
             for match in FormattersAPI._re_linkify.finditer(content):
                 if match.group('oops') is not None:
                     code_string = match.group('oopscode')
@@ -133,6 +130,7 @@
                     ) is not None:
                 yield os.path.join(dirpath, filename)
 
+
 def prune_empty_oops_directories(root_path):
     for filename in os.listdir(root_path):
         if re.search(r'^\d\d\d\d-\d\d-\d\d$', filename) is None:
@@ -143,4 +141,3 @@
         if os.listdir(path):
             continue
         os.rmdir(path)
-

